close all
clear all
clc
load resultados_direccionales

%figure;
[LEF0_x,LEF0_y]=difusion_LEF_funcion(salida0);
%figure;
[LEF1_x,LEF1_y]=difusion_LEF_funcion(salida1);
%figure;
[LEF2_x,LEF2_y]=difusion_LEF_funcion(salida2);

ter_octavas=[100,125,160,200,250,315,400,500,630,800,1000,1250,1600,2000,2500,3150,4000,5000];

aLEF0=(1-abs(0.5-mean(LEF0_x)))/0.5;

figure;semilogx(ter_octavas,mean(LEF0_x'),'r',ter_octavas,mean(LEF1_x'),'g',ter_octavas,mean(LEF2_x'),'b','LineWidth',2)

title('Medida Lateral Energy Fraction x')
xlabel('Frecuencia')
ylabel('LEF')
legend('Sin difusor','Difusor 1','Difusor 2')

figure;semilogx(ter_octavas,mean(LEF0_y'),'r',ter_octavas,mean(LEF1_y'),'g',ter_octavas,mean(LEF2_y'),'b','LineWidth',2)

title('Medida Lateral Energy Fraction y')
xlabel('Frecuencia')
ylabel('LEF')
legend('Sin difusor','Difusor 1','Difusor 2')

%Dibuja una linea horizontal de referencia en el plot a 0,5
for ii=1:2;figure(ii);
    hold on
    semilogx([100 5000],[.5 .5],'k')
    axis([100 5000 0 2])
end
%escritura de resultados en EXCEL
% xlswrite('Resultados.xlsx',LEF0_x,'LEF');
% xlswrite('Resultados.xlsx',LEF0_y,'LEF','A20');
% xlswrite('Resultados.xlsx',LEF1_x,'LEF','H1');
% xlswrite('Resultados.xlsx',LEF1_y,'LEF','H20');
% xlswrite('Resultados.xlsx',LEF2_x,'LEF','O1');
% xlswrite('Resultados.xlsx',LEF2_y,'LEF','O20');